import request from '@/utils/request'

// 查询安全汇报列表
export function listSafeReport(query) {
  return request({
    url: '/oa/safeReport/list',
    method: 'get',
    params: query
  })
}

// 查询安全汇报详细
export function getSafeReport(safeReportId) {
  return request({
    url: '/oa/safeReport/' + safeReportId,
    method: 'get'
  })
}

// 新增安全汇报
export function addSafeReport(data) {
  return request({
    url: '/oa/safeReport',
    method: 'post',
    data: data
  })
}

// 修改安全汇报
export function updateSafeReport(data) {
  return request({
    url: '/oa/safeReport',
    method: 'put',
    data: data
  })
}

// 删除安全汇报
export function delSafeReport(safeReportId) {
  return request({
    url: '/oa/safeReport/' + safeReportId,
    method: 'delete'
  })
}
